- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac_instr_t Struct Reference

`#include <dirac_encoder.h>`

List of all members.

## Public Attributes
dirac_frame_type_t | ftype
int | fnum
int | num_refs
int | refs [2]
int | xbsep
int | ybsep
int | mb_xlen
int | mb_ylen
int | mv_xlen
int | mv_ylen
int * | mb_split_mode
int * | mb_common_mode
float * | mb_costs
int * | pred_mode
float * | intra_costs
dirac_mv_cost_t * | bipred_costs
short * | dc_ycomp
short * | dc_ucomp
short * | dc_vcomp
dirac_mv_t * | mv [2]
dirac_mv_cost_t * | pred_costs [2]

## Detailed Description

Structure that diagnostics data returned by the encoder

Definition at line 357 of file dirac_encoder.h.

## Member Data Documentation

dirac_mv_cost_t* dirac_instr_t::bipred_costs

| Bi prediction costs - mv_xlen*mv_ylen*2 Definition at line 390 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

short* dirac_instr_t::dc_ucomp

| DC values of u_comp Definition at line 394 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

short* dirac_instr_t::dc_vcomp

| DC values of v_comp Definition at line 396 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

short* dirac_instr_t::dc_ycomp

| DC values of y_comp Definition at line 392 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::fnum

| Frame number Definition at line 362 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

dirac_frame_type_t dirac_instr_t::ftype

| Frame type Definition at line 360 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

float* dirac_instr_t::intra_costs

| Block intrac costs - mv_xlen*mv_ylen Definition at line 388 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int* dirac_instr_t::mb_common_mode

| Macro-block common mode array - mb_ylen*mb_xlen Definition at line 382 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

float* dirac_instr_t::mb_costs

| Macro-block costs array - mb_ylen*mb_xlen Definition at line 384 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int* dirac_instr_t::mb_split_mode

| Macro-block split mode array - mb_ylen*mb_xlen Definition at line 380 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::mb_xlen

| MacroBlock length in X direction Definition at line 372 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::mb_ylen

| MacroBlock length in Y direction Definition at line 374 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

dirac_mv_t* dirac_instr_t::mv[2]

| Motion vectors for Reference frames mv_ylen*mv_xlen Definition at line 398 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::mv_xlen

| Motion Vector array length in X direction Definition at line 376 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::mv_ylen

| Motion Vector array length in Y direction Definition at line 378 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::num_refs

| Number of reference frames Definition at line 364 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

dirac_mv_cost_t* dirac_instr_t::pred_costs[2]

| Predictions costs for Reference frames mv_ylen*mv_xlen Definition at line 400 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int* dirac_instr_t::pred_mode

| Block prediction mode - mv_xlen*mv_ylen Definition at line 386 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::refs[2]

| Array of Reference frame numbers Definition at line 366 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::xbsep

| Block separation in X direction Definition at line 368 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_instr_t::ybsep

| Block separation in Y direction Definition at line 370 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

The documentation for this struct was generated from the following file:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_encoder/dirac_encoder.h